Re: [squid-users] Linux build, libcap, and enable-linux-netfilter

From: Amos Jeffries <>
Date: Wed, 15 Aug 2012 10:47:42 +1200

On 15.08.2012 08:10, Eliezer Croitoru wrote:
> On 8/14/2012 10:06 PM, David Hembree wrote:
>> Hey Eliezer, yes we need tproxy working. This proxy is to act as a
>> "man in the middle" for some users who won't know it's there (i.e.
>> clients don't need to be configured) to endpoints off our network,
>> i.e. public sites on the internet http and https that we allow
> for that you wont need tproxy but just intercept.
> for https it's more complicated and you will need ssl-bump and CA
> publication to the clients computers.

Also a 3.2 series Squid for HTTPS intercept to work without errors.
NP: 3.2.1 will be packaged in a few hours.

> I have used little redhat but indeed centos and fedora and if the lib
> is missing you can weither compile them manually or to find the right
> package because on all redhat flavor linux i have used with squid you
> can get a package of libcap and libcap2.

The latest 3.1 require libcap version 2.09 or later.

I'm updating the configure output now to reflect this in the next

Received on Tue Aug 14 2012 - 22:47:46 MDT

This archive was generated by hypermail 2.2.0 : Wed Aug 15 2012 - 12:00:02 MDT